Verify and enable TOTP

POST/auth/v1/users/current/totp/verify

Verifies the submitted TOTP code against the user's pending setup secret and, if valid, enables TOTP two-factor authentication and returns refreshed tokens.

Authorization<token>

In: header

Request Body

required
application/json
{
  "$ref": "#/components/schemas/internal_auth.verifyOTPBody",
  "$ref-value": {
    "properties": {
      "code": {
        "type": "string"
      }
    },
    "required": [
      "code"
    ],
    "type": "object"
  }
}

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/authv1.TokenResponse",
  "$ref-value": {
    "properties": {
      "access_token": {
        "type": "string"
      },
      "expires_in": {
        "type": "integer"
      },
      "refresh_token": {
        "type": "string"
      },
      "requires_action": {
        "type": "string"
      },
      "token_type": {
        "type": "string"
      }
    },
    "type": "object"
  }
}
curl -X POST "https://api.rixl.com/auth/v1/users/current/totp/verify" \
  -H "Content-Type: application/json" \
  -d '{
    "code": "string"
  }'

OK

application/json

{
  "$ref": "#/components/schemas/authv1.TokenResponse",
  "$ref-value": {
    "properties": {
      "access_token": {
        "type": "string"
      },
      "expires_in": {
        "type": "integer"
      },
      "refresh_token": {
        "type": "string"
      },
      "requires_action": {
        "type": "string"
      },
      "token_type": {
        "type": "string"
      }
    },
    "type": "object"
  }
}